Bug 1123840 - Unknown assignment CPUAffinity
Summary: Unknown assignment CPUAffinity
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 12:11 UTC by lejeczek
Modified: 2015-03-12 11:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-26 11:36:47 UTC


Attachments (Terms of Use)

Description lejeczek 2014-07-28 12:11:53 UTC
Description of problem:

# systemctl set-property systemd-user-sessions CPUAffinity=1

I'm trying to contain user(s) sessions in cgroup cpuset, I apologize if I get it wrong, way I understand to achieve this is though systemd-user-sessions + CPUAffinity, yet I get this when I tried above:

Unknown assignment CPUAffinity


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Jan Synacek 2014-09-26 11:36:47 UTC
Setting CPUAffinity via systemctl set-property is not supported. If you *really* want to set it, you can set it directly in the service file. I'm not sure if it's a good idea, though.

Comment 3 lejeczek 2015-03-12 10:02:59 UTC
I do that:

[Service]
CPUAccounting=1
CPUQuota=200%

as a Drop-In and it has NO effect, does not affect users shell sessions via ssh. (bug?)
How do I cgroup users' ssh-shell whole sessions. (except SU)
I was so easy with old libcgroup.

Comment 4 lejeczek 2015-03-12 11:10:23 UTC
I see CPUQuota is not in RHEL's systemd 
but CPUAffinity also has no impact, and I tried both systemd-user-sessions and systemd-logind


Note You need to log in before you can comment on or make changes to this bug.